Skip to main content
`Ctrl`+`K`

# PetscRegressorGetTao

Returns the `Tao` context for a `PetscRegressor` object.

## Synopsis

    PetscErrorCode PetscRegressorGetTao(PetscRegressor regressor, Tao *tao)

Not Collective, but if the `PetscRegressor` is parallel, then the `Tao` object is parallel

## Input Parameter

- regressor - the regressor context

## Output Parameter

- tao - the `Tao` context

## Notes

The `Tao` object will be created if it does not yet exist.

The user can directly manipulate the `Tao` context to set various options, etc. Likewise, the user can then extract and manipulate the child contexts such as `KSP` or `TaoLineSearch`as well.

Depending on the type of the regressor and the options that are set, the regressor may use not use a `Tao` object.

## See Also

`PetscRegressorLinearGetKSP()`

## Level

beginner

## Location

src/ml/regressor/interface/regressor.c

Index of all PetscRegressor routines
Table of Contents for all manual pages
Index of all manual pages